angular.module('focaSeguimiento')
    .service('focaSeguimientoService', [
        '$http', 'API_ENDPOINT', 'cordovaGeolocationService',
        function($http, API_ENDPOINT, cordovaGeolocationService) {
            return {
                guardarPosicion: function(actividad, idComprobante, observaciones) {
                    cordovaGeolocationService.getCurrentPosition(function(posicion) {
                        var nuevaPosicion = {
                            posicion: {
                                latitud: posicion.coords.latitude,
                                longitud: posicion.coords.longitude,
                                idComprobante: idComprobante,
                                actividad: actividad,
                                observaciones: observaciones
                            }
                        };

                        console.info(nuevaPosicion);
                        return $http.post(API_ENDPOINT.URL + '/seguimiento', nuevaPosicion);
                    });
                },
                obtenerPosicion:  function(callback) {
                    cordovaGeolocationService.getCurrentPosition(callback);
                }
            };
        }
    ]);
